<?php

// LoST_proxy.php
// Yipeng Huang yh2315@columbia.edu
// Columbia University
// A proxy script that sends a LoST query on behalf of the client.
// This enables the client to conduct cross-domain AJAX queries

$lost_url = urldecode($_GET["lost_url"]);
$proto_query = urldecode($_GET["lost_query"]);


// Clean up the string: undesired JS escape sequences carry through
$lost_query = str_replace ("\\\"", "\"", $proto_query);

$ch = curl_init($lost_url);

// curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); 
curl_setopt ($ch, CURLOPT_POST, true);
curl_setopt ($ch, CURLOPT_POSTFIELDS, $lost_query);

// Return value of curl_exec() as string
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HEADER, true);

// Make the call
$xml = curl_exec($ch);

// Error handling
if(curl_errno($ch)) {
	echo curl_error($ch);
}

else {
	// The web service returns XML. Set the Content-Type appropriately
	header("Content-Type: text/xml");
	echo $xml;
	curl_close($ch);
}

?>